Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.remoting.codec
Class RemotingProtocolDecoder

    java.lang.Object
      org.red5.server.net.remoting.codec.RemotingProtocolDecoder

    public class RemotingProtocolDecoder

extends Object

Field Summary
`protected static Logger` | `log` Logger

Constructor Summary
`RemotingProtocolDecoder()`

Method Summary
`Object` | `decode(ProtocolState state, IoBuffer in)` Decodes the buffer and returns a remoting packet.
`List<Object>` | `decodeBuffer(ProtocolState state, IoBuffer buffer)` Decodes the given buffer.
`protected List<RemotingCall>` | `decodeCalls(IoBuffer in)` Decode calls.
`protected Map<String,Object>` | `readHeaders(IoBuffer in)` Read remoting headers.
`void` | `setDeserializer(Deserializer deserializer)` Setter for deserializer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Logger log

  Logger

Constructor Detail

### RemotingProtocolDecoder

    public RemotingProtocolDecoder()

Method Detail

### setDeserializer

    public void setDeserializer(Deserializer deserializer)

  Setter for deserializer.

  Parameters:
    `deserializer` - Deserializer

### decodeBuffer

    public List<Object> decodeBuffer(ProtocolState state,
                                     IoBuffer buffer)

  Decodes the given buffer.

  Parameters:
    `state` -
    `buffer` -
  Returns:
    a List of `RemotingPacket` objects.

### decode

    public Object decode(ProtocolState state,
                         IoBuffer in)
                  throws Exception

  Decodes the buffer and returns a remoting packet.

  Parameters:
    `state` -
    `in` -
  Returns:
    A `RemotingPacket`
  Throws:
    `Exception`

### readHeaders

    protected Map<String,Object> readHeaders(IoBuffer in)

  Read remoting headers.

  Parameters:
    `in` - Input data as byte buffer

### decodeCalls

    protected List<RemotingCall> decodeCalls(IoBuffer in)

  Decode calls.

  Parameters:
    `in` - Input data as byte buffer
  Returns:
    List of pending calls

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project